function [filename,pathname] = openhdf(path,filter,dialog)
%OPENHDF is called by the HDFTOOL Open file menu.

%   $Revision: 1.1 $  $Date: 2002/01/28 16:05:10 $

currentDirectory = pwd;
cd(path);
[filename,pathname] = uigetfile(filter,dialog);
cd(currentDirectory);

